{ inputs, ... }: {
  flake.modules.nixos.system-desktop = {
    imports = with inputs.self.modules.nixos; [
      system-base
      hyprland

      #TODO: moar aspects
    ];

    home-manager.sharedModules = [
      inputs.self.modules.homeManager.system-desktop
    ];
  };

  flake.modules.homeManager.system-desktop = {
    imports = with inputs.self.modules.homeManager; [
      system-base

      rofi
      kitty

      browser
      multimedia
      zsh
      thunderbird
      flameshot
    ];
  };
}
